Welcome back

Log in to your Microburbs account

Forgot password?
or continue with

By continuing, you agree to our Terms of Service and Privacy Policy.

Unlock the power of property data

  • Access 5000+ property and suburb metrics
  • Detailed suburb and property reports
  • Risk and gentrification analysis
  • Interactive heat maps across Australia

"Microburbs helped me find the perfect investment suburb with data I couldn't find anywhere else."

Sarah M. Property Investor

Welcome to Microburbs!

Help us personalise your experience

Opening secure checkout

Please wait while we connect to our payment provider. Do not refresh or close this page.

Get API Access

Request access to integrate Microburbs data into your applications

Request Access
V1.0.2
GET Easements
http://127.0.0.1:2025/api/property/easements
Retrieves information about easements 500m around a specified property, including easement category and geometry (optional).
Important: The id parameter refers to the property's GNAF ID.
You can retrieve this value from Get GNAF_ID (Geocoder) API Endpoint. Click to see documentation

Parameters

Name Type Required Description
id text Required Property identifier (GnafID)
geojson boolean Optional Set to 'true' to include geometric shape data of zoning areas (default: false)

Response Schema

Field Type Description
results array Array of zoning areas in the specified area
results[].area_level string Level of geographical detail (e.g., 'Layer')
results[].area_name string Name of the layer
results[].category string Easment category (e.g., 'Path of Way', 'Easement')
results[].geometry object GeoJSON geometry data of the zoning area (only included when geojson=true)

Request Examples

cURL
Python
JavaScript
curl -X GET "http://127.0.0.1:2025/api/property/easements?suburb=Belmont%20North" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json"

Response Example

Response
{ "results": [ { "area_level": "Layer", "area_name": "Easement Layer", "category": "Easement" }, { "area_level": "Layer", "area_name": "Easement Layer", "category": "Easement" } ]
Try it in Sandbox